Fedora Linux Support Community & Resources Center

Go Back   FedoraForum.org > Fedora Resources > Guides & Solutions (No Questions)
FedoraForum Search

Forgot Password? Join Us!

Guides & Solutions (No Questions) Post your guides here (No links to Blogs accepted). You can also append your comments/questions to a guide, but don't start a new thread to ask a question. Use another forum for that.

Reply
 
Thread Tools Search this Thread Display Modes
  #1  
Old 23rd April 2012, 02:56 AM
timliim Offline
Registered User
 
Join Date: Oct 2008
Location: Ol' US of A
Posts: 74
linuxfirefox
Using GNOME2 on Fedora 16 thru Fedora 18

This projcet is for those who want to use GNOME2 on Fedora 16 (17, 18, ... when possible). For those who are happy with GNOME3, you can safely skip this one.
The home page of GNOME2.F16 is at
Code:
http://formosa.homelinux.com/pub/fedora/gnome2/GNOME2.F16.html

What is GNOME2.F16?

From the name it is clear that this project is for running GNOME2 on Fedora 16. It is a perl script (gnome2.build.pl) that downloads selected GNOME2 src rpm from Fedora 14, compiles and installs on Fedora 16. The end result is a mix of GNOME2 and GNOME3 on Fedora 16, with the UI (metacity, session manger, screen saver, applets, etc.) from GNOME2, and the rest from GNOME3.

There are already other projects (eg. Blue Bubble, MATE, Cinnamon) aiming to bring GNOME2 experience to newer Fedora Linux. However I still need these two items:
  1. a screen saver that can display the photos I have.
  2. build from Fedora-sanctioned source code.
The first one is easy. I am ashamed to tell people that my Fedora box can no longer display my thousands of photos with screen saver, which their Windows box is fully capable of.

My second goal is to build the whole project with existing Fedora source, with minimum injection from me. The GNOME2 will come from Fedora 14. Whatever parts I can use on Fedora 16 is fine. With no binaries release from this project, this reduces the chance of people asking, "Who is this Tim the tool guy? Can I trust his binary release?"

This tool is intended as an interim solution, until some long term solution emerges on Fedora. Specifically, I need a screensaver that are capable of showing photos.

Credit
This project is inspired by
  • the Blue Bubble project (by Nushio et al) and
  • the MATE project (by Perberos et al).
(I was not aware of the Cinnamon project when I started, so I cannot include Cinnamon, yet.)

How to use it?
  1. A Fedora 16 box with minimum installation (no GUI needed; in anaconda, select "minimum" for package selection).
  2. yum install -y perl createrepo
  3. download gnome2.build.pl from the GNOME2.F16 project.
  4. run it as any non-root user with sudo privilege (this takes an hour or two on my VM.)
    perl ./gnome2.build.pl --build-and-install
  5. sudo gnome2-install.sh
  6. sudo reboot
  7. On some machines the GDM login window may not show. The work around is to hit <ESC> key during plymouth graphical boot to use text mode boot. A longer term workaround is to remove “rhgb” from kernel args in /boot/grub2/grub.cfg.

The usual pre-caution applies:
  • Do not try this on any box with data that you want to keep.
  • Of course there are bugs as this is an experimental project. However there are not-too-bad workarounds for known bugs.

For those who wishes to download binaries directly, you may use my build (the same gnome2-repo.rpm works for both x86_64 and i386):
Code:
rpm -i http://formosa.homelinux.com/pub/fedora/gnome2/i386/os/gnome2-repo-1.0-1.fc16.noarch.rpm
gnome2-install.sh
See GNOME2.F16 home page for known issues and workarounds.
http://formosa.homelinux.com/pub/fed...NOME2.F16.html

Cheers,
Tim Taiwanese Liim
Reply With Quote
  #2  
Old 23rd April 2012, 11:49 AM
TK492 Offline
Registered User
 
Join Date: Mar 2012
Location: Qc, Canada
Posts: 130
linuxchrome
Re: Using GNOME2 on Fedora 16

Thanks a lot for this timliim!

I've tried Cinnamon and although it is pretty good, it is not quite close enough to Gnome 2 as I would like. Mate on the other hand I feel is like a missed Gnome 2. And Gnome 3 well... speaks for itself

I'll be sure to give this a try when I get back home tonight
Reply With Quote
  #3  
Old 24th April 2012, 04:34 AM
timliim Offline
Registered User
 
Join Date: Oct 2008
Location: Ol' US of A
Posts: 74
linuxfirefox
Re: Using GNOME2 on Fedora 16

TK492,
Thanks for trying it out! Attached is a screenshot to show how it looks.
Attached Thumbnails
Click image for larger version

Name:	GNOME2.F16.screenshot.png
Views:	572
Size:	186.2 KB
ID:	22989  
Reply With Quote
  #4  
Old 24th April 2012, 05:13 AM
TK492 Offline
Registered User
 
Join Date: Mar 2012
Location: Qc, Canada
Posts: 130
linuxchrome
Re: Using GNOME2 on Fedora 16

Hi timliin,

That screenshot makes me drool! IMHO nothing beats Gnome2 with Clearklooks, that sexy thing!

Unfortunately, with finals coming up, I didn't get the chance to try it out right away like I wanted to.

In the meantime I've got a small question.. Your instructions take off from a minimal Fedora installation. Do you know if it would work with 3 other DE already installed (MATE, Cinnamon and Gnome-Shell)?

Thanks!
Reply With Quote
  #5  
Old 24th April 2012, 05:32 AM
timliim Offline
Registered User
 
Join Date: Oct 2008
Location: Ol' US of A
Posts: 74
linuxfirefox
Re: Using GNOME2 on Fedora 16

Ah, good, picture works better than text.

> IMHO nothing beats Gnome2 with Clearklooks, that sexy thing!
agree!

> with finals coming up, I didn't get the chance to try it out right
> away like I wanted to.
Understand, always the case. An easier route is to try the binary
package in a VM. Many PC less than 3 years old can run VM.

> Do you know if it would work with 3 other DE already installed
> (MATE, Cinnamon and Gnome-Shell)?

I have not tried compatibility with MATE and with Cinnamon as they are
not in the Fedora official repo yet. I did try starting with F16 +
default GNOME3, then install GNOME2.F16 on top. This will rip out
some conflicting GNOME3 rpms, which is a good reason why I said to try
it out on a throw-away installation first. Since I am not going to
run GNOME3 until it's ready for prime time, this was not a big concern
to me.

Cheers!
BTW, please call me Tim. Thanks!
Reply With Quote
  #6  
Old 27th April 2012, 10:13 AM
Fedor16 Offline
Registered User
 
Join Date: Apr 2012
Location: Russia
Posts: 1
linuxfedorafirefox
Re: Using GNOME2 on Fedora 16

We are on Fedora 16, add F16 specific pkgs.
$Id: gnome2.build.pl,v 1.669 2012/04/25 02:53:22 timliim Exp timliim $
-----------------------------------------------------------------

Fri Apr 27 13:14:17 2012
sudo echo Checking sudo privilege

-----------------------------------------------------------------
Checking sudo privilege
- Good, we have sudo privilege.

-----------------------------------------------------------------

Fri Apr 27 13:14:17 2012
Checking required packages.

-----------------------------------------------------------------
Required pkg is installed: gcc.
Required pkg is installed: gcc-c++.
Required pkg is installed: make.
Required pkg is installed: redhat-rpm-config.
Required pkg is installed: rpm-build.
Required pkg is installed: yum-utils.
Good, all required packages are installed.
-----------------------------------------------------------------

Fri Apr 27 13:14:17 2012
Checking if we need to add Fedora 14 repository.

-----------------------------------------------------------------
uname_r=3.1.0-7.fc16.i686.PAE
We are on 3.1.0-7.fc16.i686.PAE, will add Fedora 14 repository.
We already have Fedora 14 repo, no need to add again.
-----------------------------------------------------------------

Fri Apr 27 13:14:17 2012
- Will build 21 gnome2 SRPMS:

-----------------------------------------------------------------
0 libnotify.F14 0
1 libgdata.F14 1
2 gnome-menus 2
3 libgweather.F14 3
4 libcanberra.F14 4
5 libgnomekbd 5
6 gnome-settings-daemon 6
7 metacity 7
8 control-center 8
9 gnome-media 9
10 gnome-screensaver 10
11 gnome-session 11
12 gnome-panel 12
13 gnome-python2-desktop 13
14 gnome-utils 14
15 gnome-applets 15
16 gnome-power-manager 16
17 gdm 17
18 gnome-color-manager 18
19 gnome2 19
20 gnome2-repo 20
-----------------------------------------------------------------

Fri Apr 27 13:14:17 2012
building libnotify -> gnome2-libnotify.F14 0, 0/21

-----------------------------------------------------------------
-----------------------------------------------------------------

Fri Apr 27 13:14:17 2012
yumdownloader --source --disablerepo=* --enablerepo=fedora14* libnotify

-----------------------------------------------------------------
http://fedora-mirror01.rbc.ru/pub/fe...1.fc14.src.rpm
SRPM = libnotify-0.5.1-1.fc14.src.rpm
./libnotify-0.5.1-1.fc14.src.rpm already exists and appears to be complete
-----------------------------------------------------------------

Fri Apr 27 13:14:18 2012
rpm -i libnotify-0.5.1-1.fc14.src.rpm

-----------------------------------------------------------------
-----------------------------------------------------------------

Fri Apr 27 13:14:18 2012

- notes on enhancing libnotify.F14 to co-exist with libnotify.F16:
#1 on F14: we have libnotify-0.5.1-1.fc14.src.rpm
#2 on F16, we have libnotify-0.7.4-1.fc16.src.rpm
We want both to co-exist because
- gnome2 needs l-n.F14;
- xulrunner.F16 and others needs l-n.F16.

- Enhancement:
in l-n.F14 spec file, rename several files to avoid conflict
with l-n.F16.

- cyclic Requires: libnotify, notification-daemon
libnotify: Requires: desktop-notification-daemon
notification-daemon: BuildRequires: libnotify-devel

- Enhancement:
in spec file, comment out this line.
Requires: desktop-notification-daemon


-----------------------------------------------------------------
- mv SPECS/libnotify.spec SPECS/libnotify.spec.orig
- ls -l SPECS/libnotify.spec.orig
-rw-r--r--. 1 root root 7129 июня 29 2010 SPECS/libnotify.spec.orig
==1 %{_bindir}/notify-send
==2 %{_bindir}/notify-send.F14
==1 %{_libdir}/libnotify.so.*
==1 %dir %{_includedir}/libnotify
==2 %dir %{_includedir}/libnotify.F14
==1 %{_includedir}/libnotify/*
==2 %{_includedir}/libnotify.F14/*
==1 %{_libdir}/libnotify.so
==2 %{_libdir}/libnotify.F14.so
==1 %{_libdir}/pkgconfig/libnotify.pc
==2 %{_libdir}/pkgconfig/libnotify.F14.pc
==1 %dir %{_datadir}/gtk-doc/html/libnotify
==2 %dir %{_datadir}/gtk-doc/html/libnotify.F14
==1 %{_datadir}/gtk-doc/html/libnotify/*
==2 %{_datadir}/gtk-doc/html/libnotify.F14/*
- diff SPECS/libnotify.spec.orig SPECS/libnotify.spec
24c24
< Requires: desktop-notification-daemon
---
> # Requires: desktop-notification-daemon
56a57,63
> # rename files for gnome2.F14
> mv $RPM_BUILD_ROOT%{_bindir}/notify-send $RPM_BUILD_ROOT%{_bindir}/notify-send.F14
> mv $RPM_BUILD_ROOT%{_libdir}/libnotify.so $RPM_BUILD_ROOT%{_libdir}/libnotify.F14.so
> mv $RPM_BUILD_ROOT%{_libdir}/pkgconfig/libnotify.pc $RPM_BUILD_ROOT%{_libdir}/pkgconfig/libnotify.F14.pc
> mv $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html/libnotify $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html/libnotify.F14
> mv $RPM_BUILD_ROOT%{_includedir}/libnotify $RPM_BUILD_ROOT%{_includedir}/libnotify.F14
>
74c81
< %{_bindir}/notify-send
---
> %{_bindir}/notify-send.F14
79,84c86,91
< %dir %{_includedir}/libnotify
< %{_includedir}/libnotify/*
< %{_libdir}/libnotify.so
< %{_libdir}/pkgconfig/libnotify.pc
< %dir %{_datadir}/gtk-doc/html/libnotify
< %{_datadir}/gtk-doc/html/libnotify/*
---
> %dir %{_includedir}/libnotify.F14
> %{_includedir}/libnotify.F14/*
> %{_libdir}/libnotify.F14.so
> %{_libdir}/pkgconfig/libnotify.F14.pc
> %dir %{_datadir}/gtk-doc/html/libnotify.F14
> %{_datadir}/gtk-doc/html/libnotify.F14/*
-----------------------------------------------------------------

Fri Apr 27 13:14:18 2012
rpmbuild -bp SPECS/libnotify.spec 0/3

-----------------------------------------------------------------
ошибка: Неудовлетворенные зависимости сборки:
libtool нужен для libnotify-0.5.1-1.fc16.i686
glib2-devel >= 2.2.2 нужен для libnotify-0.5.1-1.fc16.i686
dbus-devel >= 0.90 нужен для libnotify-0.5.1-1.fc16.i686
dbus-glib-devel >= 0.70 нужен для libnotify-0.5.1-1.fc16.i686
gtk2-devel >= 2.13.2 нужен для libnotify-0.5.1-1.fc16.i686
gtk3-devel нужен для libnotify-0.5.1-1.fc16.i686
-----------------------------------------------------------------

Fri Apr 27 13:14:18 2012
Reading SPECS/libnotify.spec

-----------------------------------------------------------------
== blob=%{name},varName=name, oldTar=%{name}-%{version}
== blob=%{version},varName=version, oldTar=%{name}-%{version}
name=libnotify, version=0.5.1 srcType=.tar.bz2
oldName=libnotify, newName=gnome2-libnotify.F14
oldTar=libnotify-0.5.1, newTar=gnome2-libnotify.F14-0.5.1
oldDir=libnotify-0.5.1, newDir=gnome2-libnotify.F14-0.5.1
- diff SPECS/libnotify.spec SPECS/gnome2-libnotify.F14.spec
0a1
> %define oldName libnotify
9c10
< Name: libnotify
---
> Name: gnome2-libnotify.F14
14a16,19
> # Obsolete pkg of my old name.
> # Obsoletes: %{oldName}
> Provides: %{oldName} = %{version}-%{release}
> Provides: %{oldName}%{?_isa} = %{version}-%{release}
33a39,42
> # Obsolete pkg of my old name.
> # Obsoletes: %{oldName}-devel
> Provides: %{oldName}-devel = %{version}-%{release}
> Provides: %{oldName}-devel%{?_isa} = %{version}-%{release}
93a103,105
> * Пт. апр. 27 2012 gnome2.build.pl by Tim Taiwanese Liim <timliim@republic.tw> 1.1
> - rename to gnome2-libnotify.F14 from libnotify using the script gnome2.build.pl.
>
-----------------------------------------------------------------

Fri Apr 27 13:14:18 2012
Renaming libnotify-0.5.1.tar.bz2 to gnome2-libnotify.F14-0.5.1.tar.bz2

-----------------------------------------------------------------
- tar xfj libnotify-0.5.1.tar.bz2
- ls -ld libnotify-0.5.1
drwxr-xr-x. 7 500 500 4096 июня 29 2010 libnotify-0.5.1
-----------------------------------------------------------------

Fri Apr 27 13:14:18 2012

- notes on enhancing libnotify.F14 to build on F16:
#1 on F14: we have
#2 on F16, we have

- because we renamed libnotify to libnotify.F14 earlier, we
need to change its pkg-config cfg file as well.


-----------------------------------------------------------------
- Will modify these files:
libnotify/notify.h
libnotify.pc.in
------------------------------------------------------------
- mv ../BUILD/libnotify-0.5.1/libnotify/notify.h ../BUILD/libnotify-0.5.1/libnotify/notify.h.orig
-----------------------------------------------------------------

Fri Apr 27 13:14:18 2012
system cmd failed, abort.
cmd=mv ../BUILD/libnotify-0.5.1/libnotify/notify.h ../BUILD/libnotify-0.5.1/libnotify/notify.h.orig
libnotify.F14 0

-----------------------------------------------------------------
0/21 packages built, elapsed 1 sec (0h 0m 1s)
Reply With Quote
  #7  
Old 27th April 2012, 10:19 AM
tox
Guest
 
Posts: n/a
windows_7firefox
Re: Using GNOME2 on Fedora 16

i cant see MATE ever getting into Fedora's official repo sadly enough, however i hope Cinnamon will or just use Mint
Reply With Quote
  #8  
Old 28th April 2012, 12:16 AM
timliim Offline
Registered User
 
Join Date: Oct 2008
Location: Ol' US of A
Posts: 74
linuxfirefox
Re: Using GNOME2 on Fedora 16

Fedor16,
Thanks a lot for trying it out! And for reporting the issue. After
some debugging I realized that we speak different languages: you use
Russian, and I use English + Taiwanese. So my rpmbuild will say
xxx is needed by yyy
but yours will say
xxx нужен для yyy
Since my script downloads the required packages (so you don't have
to), it has to understand the output from rpmbuild. Since I don't
know Russian (yet), the script will not know "нужен для" is the same
as "is needed".

The simple solution is to "unset LANG" inside the perl script. I made
the change and uploaded the new script (ver. 1.670) just now. Would
you please try it out and let me know how it goes? Thanks!


tox,
Thanks for update. Do you know where I can find out more info on
Fedora's stance on MATE?
Reply With Quote
  #9  
Old 28th April 2012, 12:19 AM
tox
Guest
 
Posts: n/a
windows_7firefox
Re: Using GNOME2 on Fedora 16

Quote:
Originally Posted by timliim View Post
Fedor16,
Thanks a lot for trying it out! And for reporting the issue. After
some debugging I realized that we speak different languages: you use
Russian, and I use English + Taiwanese. So my rpmbuild will say
xxx is needed by yyy
but yours will say
xxx нужен для yyy
Since my script downloads the required packages (so you don't have
to), it has to understand the output from rpmbuild. Since I don't
know Russian (yet), the script will not know "нужен для" is the same
as "is needed".

The simple solution is to "unset LANG" inside the perl script. I made
the change and uploaded the new script (ver. 1.670) just now. Would
you please try it out and let me know how it goes? Thanks!


tox,
Thanks for update. Do you know where I can find out more info on
Fedora's stance on MATE?
yeah. have a look at the Fedora-devel mailing list http://lists.fedoraproject.org/pipermail/devel/ . in what month or may have been last year but have a look there and you'll find a lot of comments about it
Reply With Quote
  #10  
Old 28th April 2012, 12:30 AM
TK492 Offline
Registered User
 
Join Date: Mar 2012
Location: Qc, Canada
Posts: 130
linuxchrome
Re: Using GNOME2 on Fedora 16

Tim,

It dates from February, but I found this:

http://www.phoronix.com/scan.php?pag...tem&px=MTA2MzM

While I'm here, last night I tried installing GNOME2.F16 on F16 in a virtual machine. I tried it on an installation with Gnome-shell to emulate what it would do to my own system, and unfortunately at some point during the installation my session crashed and forced me to log out. When I boot the system, I can make it to the GDM but I'm locked out of my session, I'm guessing from conflicts between Gnome 3 and the Gnome 2 fork? However I find this interesting as you said that it worked for you.

I've tried logging back in in command-line mode so I can fix this, but I can't seem to be able to. "Googleing" it, I've tried adding "3" in GRUB's boot options for the selected kernel but it didn't work. Do you know how I could log into my virtual session in command-line mode?

Thanks for your time!
Reply With Quote
  #11  
Old 28th April 2012, 12:34 AM
Yellowman
Guest
 
Posts: n/a
linuxfirefox
Re: Using GNOME2 on Fedora 16

Quote:
Originally Posted by timliim View Post
Fedor16,
Thanks a lot for trying it out! And for reporting the issue. After
some debugging I realized that we speak different languages: you use
Russian, and I use English + Taiwanese. So my rpmbuild will say
xxx is needed by yyy
but yours will say
xxx нужен для yyy
Since my script downloads the required packages (so you don't have
to), it has to understand the output from rpmbuild. Since I don't
know Russian (yet), the script will not know "нужен для" is the same
as "is needed".

The simple solution is to "unset LANG" inside the perl script. I made
the change and uploaded the new script (ver. 1.670) just now. Would
you please try it out and let me know how it goes? Thanks!


tox,
Thanks for update. Do you know where I can find out more info on
Fedora's stance on MATE?
Try here

https://fedorahosted.org/fesco/ticket/810
Reply With Quote
  #12  
Old 28th April 2012, 01:17 AM
timliim Offline
Registered User
 
Join Date: Oct 2008
Location: Ol' US of A
Posts: 74
linuxfirefox
Re: Using GNOME2 on Fedora 16

tox,
TK492,
Yellowman,
Thanks for info! Maybe I need to stick to my home brew for a while
now.

TK492,
Yes I did try it on my VM, with 1280MB RAM to it. Earlier I had
some crashes in VM during upgrade too, but I faintly recalled it was
because I assigned insufficient RAM. How much RAM you have for your
VM? I'll try it too.

Re: boot into command line mode
I tried to add "3" to my kernel line
linux /vmlinuz-3.3.2-1.fc16.x86_64 root=... LANG=en_US.UTF-8 3
and it worked well for me, as stated in Section 2.6 at
http://tldp.org/HOWTO/BootPrompt-HOWTO-2.html
Are we talking about the same line?

> I tried it on an installation with Gnome-shell to emulate what it
> would do to my own system
Agree this is the right way to go. I'd do the same too.

> I can make it to the GDM but I'm locked out of my session
From your host machine, are you able to ssh to your VM? You can use
"arp -a" on your host OS to guess what the IP of VM is. Many times I
did "ssh root@vm" to rescue my VM.

Please let me know how it goes. Thank you for your help in improving
GNOME2.F16. Hope you final went well.

---------- Post added at 08:17 PM ---------- Previous post was at 08:05 PM ----------

> during the installation my session crashed
Ah, ah, I realized what happened. If you already have gnome3
installed, you need to first bring the system to text mode: as root,
run
init 3
Then you can do gnome2-install.sh in text mode. This is because we
are messing with GNOME3, and it is usually safer to do so while GNOME3
is not running. Have you tried to change the tires of your car while driving?
I imagined it to be rather difficult.

I'll update the web page with this info.
Thanks for reminding me of this scenario.

Last edited by timliim; 28th April 2012 at 02:54 AM.
Reply With Quote
  #13  
Old 3rd May 2012, 01:21 PM
dinogorgon Offline
Registered User
 
Join Date: May 2012
Location: Germany
Posts: 1
linuxchrome
Re: Using GNOME2 on Fedora 16

If you do not need F16 as Basis you can install Fuduntu (www.fuduntu.org), which is based on Fedora 14, but comes with Gnome 2 and the newest stable Kernel (3.2.15). Updates are installed as rollin, so you dont have to reinstall Fedora every 6 months in order to get the actual kernel and software.

Works really nice.
Reply With Quote
  #14  
Old 5th May 2012, 02:35 AM
timliim Offline
Registered User
 
Join Date: Oct 2008
Location: Ol' US of A
Posts: 74
linuxfirefox
Re: Using GNOME2 on Fedora 16

Thanks for info on Fuduntu. I do need some stuff from F16, and I'm
fine with Fedora in general, except the gnome3 stuff; not until gnome3
comes of age anyway.
Reply With Quote
  #15  
Old 11th June 2012, 12:39 AM
timliim Offline
Registered User
 
Join Date: Oct 2008
Location: Ol' US of A
Posts: 74
linuxfirefox
Re: Using GNOME2 on Fedora 16

The script and the repository are updated for Fedora 17, in case
anyone is interested.
Reply With Quote
Reply

Tags
fedora16, gnome2

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Using GNOME2 on Fedora 16 timliim Guides & Solutions (No Questions) 1 23rd April 2012 08:45 AM
How to Upgarde GNOME2.20 to GNOME2.22 kumarkrishnan Installation, Upgrades and Live Media 9 11th April 2008 12:00 PM
Need help with upgrading to Gnome2.14 markdashwood Using Fedora 1 1st April 2006 07:40 PM
What to do after Garnome has compiled my Gnome2.6 mac48bit Installation, Upgrades and Live Media 3 26th April 2004 07:26 PM


Current GMT-time: 14:26 (Thursday, 24-04-2014)

TopSubscribe to XML RSS for all Threads in all ForumsFedoraForumDotOrg Archive
logo

All trademarks, and forum posts in this site are property of their respective owner(s).
FedoraForum.org is privately owned and is not directly sponsored by the Fedora Project or Red Hat, Inc.

Privacy Policy | Term of Use | Posting Guidelines | Archive | Contact Us | Founding Members

Powered by vBulletin® Copyright ©2000 - 2012, vBulletin Solutions, Inc.

FedoraForum is Powered by RedHat